summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBryce Harrington <bryce@bryceharrington.org>2014-07-14 00:40:57 +0000
committerBryce Harrington <bryce@canonical.com>2014-07-14 00:40:57 +0000
commit2f77108c45a5f38589d34482655d64c10c3b6ae5 (patch)
tree0063ce1ea81e39dddd7ad9001ea65d27a7d6fa23
parentFix moving of item center: 1) at paste and 2) at changing document units (diff)
downloadinkscape-2f77108c45a5f38589d34482655d64c10c3b6ae5.tar.gz
inkscape-2f77108c45a5f38589d34482655d64c10c3b6ae5.zip
autogen: Check for autopoint before attempting to run it
(bzr r13453)
-rwxr-xr-xautogen.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/autogen.sh b/autogen.sh
index fcac2d4de..0a9cb7924 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -15,18 +15,24 @@ test -n "$srcdir" || srcdir=.
olddir=`pwd`
cd $srcdir
-AUTORECONF=`which autoreconf`
-if test -z $AUTORECONF; then
+WHICH_AUTORECONF=`which autoreconf`
+if test -z $WHICH_AUTORECONF; then
echo "*** No autoreconf found, please install it ***"
exit 1
fi
-INTLTOOLIZE=`which intltoolize`
-if test -z $INTLTOOLIZE; then
+WHICH_INTLTOOLIZE=`which intltoolize`
+if test -z $WHICH_INTLTOOLIZE; then
echo "*** No intltoolize found, please install the intltool package ***"
exit 1
fi
+WHICH_AUTOPOINT=`which autopoint`
+if test -z $WHICH_AUTOPOINT; then
+ echo "*** No autopoint found, please install the autopoint package ***"
+ exit 1
+fi
+
autopoint --force
AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose